local lazorColor = LocalBlueColor(0.05)

local t = Def.ActorFrame {
	InitCommand=function(self) self:fov(90) end,
	-- LoadActor(THEME:GetPathB("_common", "bg2")) .. {
		-- OnCommand=function(self)
			-- self:scaletocover(-_screen.cx,-_screen.cy,_screen.cx,_screen.cy):Center()
		-- end
	-- },
	
	Def.Quad {
		InitCommand=function(self)
			self:FullScreen():diffuse(LocalBlueColor(0))
		end
	},
	
	-- So... many... lights...
	-- ugh, I'll figure this out someday
	
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(0):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(0.5):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(-0.5):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(1):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(-1):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(1.5):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(-1.5):effectmagnitude(0,0,40)
		end
	},
	LoadActor(THEME:GetPathG("_common", "smallneon")) .. {
		OnCommand=function(self)
			self:horizalign(left):vertalign(top):zoomto(_screen.w*2,30):rotationz(45):glow(lazorColor):diffusealpha(0):blend(Blend.Add):
				wag():effectperiod(6):effectoffset(2):effectmagnitude(0,0,40)
		end
	},

	LoadActor(THEME:GetPathB("_common", "halftone")) .. {
		Name = "pattern",
		InitCommand=cmd(xy,_screen.w*0.90,_screen.cy;zoomto,_screen.w,_screen.h*0.75;customtexturerect,0,0,_screen.w/512,(_screen.h*0.75)/512;texcoordvelocity,0.1,0;diffuse,LocalBlueColor(0.15);rotationz,-60;blend,Blend.Add)
	},

	LoadActor(THEME:GetPathB("_common", "parascroll")) .. {
		InitCommand=cmd(xy,_screen.cx,_screen.h-80;zoomto,_screen.w,128;customtexturerect,0,0,_screen.w/512,1;texcoordvelocity,0.3,0;diffuse,ColorBlend(LocalBlueColor(0), Color.Black))
	},

	LoadActor(THEME:GetPathB("_common", "revparascroll")) .. {
		InitCommand=cmd(xy,_screen.cx,80;zoomto,_screen.w,128;customtexturerect,0,0,_screen.w/512,1;texcoordvelocity,-0.3,0;diffuse,ColorBlend(LocalBlueColor(0), Color.Black))
	},

	-- LoadActor(THEME:GetPathB("_common", "typoscroll")) .. {
		-- InitCommand=cmd(xy,_screen.cx,70;zoomto,_screen.w,150;customtexturerect,0,0,_screen.w/600,0.66;texcoordvelocity,0.3,0;diffuse,LocalBlueColor(0.25);blend,Blend.Add)
	-- }
}

return t
